local L = LibStub("AceLocale-3.0"):NewLocale("QuickStrat", "enUS", true)

-- Chat commands
L["quickstrat"] = true
L["qs"] = true

L["Welcome Home!"] = true -- default message

L["Message"] = true
L["The message to be displayed when you get home."] = true
L["<Your message>"] = true -- usage

L["Show in Chat"] = true
L["Toggles the display of the message in the chat window."] = true

L["Show on Screen"] = true
L["Toggles the display of the message on the screen."] = true


L["strats"] = {
	["Dalaran"] = {
		["Aquanos"] = {
			["x"] = 43.1,
			["y"] = 48.8,
			["parts"] = {
				"Aquanos is in a tub, what's up with that?", -- [1]
			},
		},
	},
	["Forge of Souls"] = {
		["Bronjahm"] = {
			["x"] = 43.3,
			["y"] = 49.9,
			["parts"] = {
				"Phase 1\nPeriodically Bronjahm will cast a Drain Soul-like spell that creates a Corrupted Soul Fragment.\nThe fragment will head towards Bronjahm and heal him if it gets close.\n If you are targeted by the spell, run away from him; the tank should kite him away from his target to maximize the distance the fragment needs to travel.\nAll DPS switch to the fragment when it comes up.", -- [1]
				"Phase 2\nBronjahm will conjure a whirlwind, with himself in the eye. Being outside the eye causes damage, so everyone to the center of the room.\nBronjahm will cast fear randomly, if you get feared run back as soon as possible. The healer should watch for these victims and heal as appropriate.", -- [2]
			},
		},
	},
	["Halls of Stone"] = {
		["Sjonnir The Ironshaper"] = {
			["x"] = 49.9,
			["y"] = 15.5,
			["parts"] = {
				"Sjonnir is essentially a tank and spank these days.\nKill adds as they get to the center, slimes as soon as you can.  \nIt gets messy at the end, so AOE heals are a nice touch.", -- [1]
			},
		},
		["Maiden of Grief"] = {
			["x"] = 50,
			["y"] = 85.6,
			["parts"] = {
				"Maiden of Grief will cast Storm of Grief putting a big pile of Stupid™ on the floor.  Don't stand in the Stupid™", -- [1]
			},
		},
		["Krystallus"] = {
			["x"] = 40,
			["y"] = 63,
			["parts"] = {
				"Krystallus is a pretty normal Tank n' Spank.", -- [1]
			},
		},
		["Brann Bronzebeard"] = {
			["x"] = 84.9,
			["y"] = 80.5,
			["parts"] = {
				"Tribunal of Ages is the hardest encounter in Halls of Stone.\nWaves of mobs will rush the room, the tank should grab them as they come down the stairs and fight them on the stairs.\nDuring the final phase of the fight Searing Gaze will put a laser on the floor, moving around the room.  Don't get hit by the laser.\nAt the end of the final phase Brann Bronzebeard will kill any remaining mobs.  It is by design a hectic fight, good luck.", -- [1]
			},
		},
	},
	["Pit of Saron"] = {
		["Forgemaster Garfrost"] = {
			["parts"] = {
				"x", -- [1]
			},
		},
		["Rimefang"] = {
			["parts"] = {
				"x", -- [1]
			},
		},
		["Ick"] = {
			["parts"] = {
				"x", -- [1]
			},
		},
		["Fallen Warrior"] = {
			["parts"] = {
			},
		},
	},
}

